(function ( $ ) {
	"use strict";

	$(function () {

		// Place your administration-specific JavaScript here

		// Progress button init
		[].slice.call( document.querySelectorAll( 'button.progress-button' ) ).forEach( function( bttn ) {
			new ProgressButton( bttn, {
				callback : function( instance ) {
					var progress = 0,
					interval = setInterval( function() {
						progress = Math.min( progress + Math.random() * 0.1, 1 );
						instance._setProgress( progress );

						if( progress === 1 ) {
							instance._stop(1);
							clearInterval( interval );
						}
					}, 200 );
				}
			} );
		} );

		$('.main_form_dob').Zebra_DatePicker();

		Dropzone.options.myAwesomeDropzone = {
			accept: function(file, done) {
				console.log("uploaded");
				done();
			},
			init: function() {
				this.on("addedfile", function() {
					if (this.files[1]!=null){
						this.removeFile(this.files[0]);
					}
				});
			},
			success: function(file, response){
				console.log(response);
				$(".banner_image").attr("src",response);
				$(".resultant-form-header").css("background-image","url("+response+")");
				$(".form-header-text").css("background","url("+response+") no-repeat");
				if (file.previewElement) {
					return file.previewElement.classList.add("dz-success");
				}
			}
		};
		// Stage Selector
		$(document).ready(function(){
			$(".stage").on("click", function(){
				$(".stage").removeClass('active');
				$(this).addClass('active');
				var data_stage = $(this).attr('data-stage');
				$(".stage_content").hide();
				$("."+data_stage+"_container").show();

			});

			$(".next_button_tab2").on("click", function(){
				$(".stage").removeClass('active');
				$(".stage_content").hide();
				$(".summary_form_container").show();
			});
			$(".customize_add_form").on("click", function(){
				$(".summary_form").show();
			});
		});

		// pass variables to second tab
		$(document).ready(function(){
			$(".form_select").on("click", function(){
				// Retrieve form id for the button
				var form_id = $(this).attr("data-form-id"); 

				var data = {
					action: 'get_form',
					form_id: form_id
				};

				$.post(ajaxurl, data)
				.done(function(response){
					response = response.substring(0, response.length - 1);
					var form_data = $.parseJSON(response);
					
					// assigning the form editor with the values

					$(".customize_add_form .stage-desc").html("Edit Form Template");
					$(".form_name").attr('data-fname', form_data.form_name);
					$(".summary_form").show();
					// editor form
					$(".form-header-text").css("background-color", form_data.header_bg_color);
					if(form_data.header_background_image){
						$(".form-header-text").css("background", "url("+form_data.header_background_image+")")
					}
					$(".banner_image").attr("src", form_data.header_background_image);
					$(".banner-header-text").html(form_data.header_text);
					$(".banner-header-text-input").val(form_data.header_text);
					$(".form-desc-input").val(form_data.body_desc);
					$(".redirect_url").attr('data-redirect', form_data.body_redirect);

					if(form_data.has_footer == "1"){
						$(".add_footer").click();
					}
					$(".footer-head-input").val(form_data.footer_heading);
					$(".footer-subhead-input").val(form_data.footer_subheading);
					$(".foo-address-input").val(form_data.footer_address);
					$(".foo-contact-input").val(form_data.footer_contact);
					$(".foo-mail-input").val(form_data.footer_email);

					if(form_data.footer_heading)
						$(".footer-head").html(form_data.footer_heading);

					if(form_data.footer_subheading)
						$(".footer-subhead").html(form_data.footer_subheading);

					if(form_data.footer_address)
						$(".foo-address").html(form_data.footer_address);

					if(form_data.footer_contact)
						$(".foo-contact").html(form_data.footer_contact);

					if(form_data.footer_email)
						$(".foo-mail").html(form_data.footer_email);

					if(form_data.body_desc)
						$(".form-desc").html(form_data.body_desc);
					
					// resultant form

					var final_form = {
						action: 'get_final_form',
						form_id: form_id
					}

					$.post(ajaxurl, final_form)
					.done(function(response){
						var form_elements = $(".resultant-main-form").html();
						response = response.substring(0, response.length - 1);
						$(".resultant-form-container").html(response);
						$(".resultant-main-form").html(form_elements);
					});

					$(".form_id").val(form_data.id);
					$(".resultant-banner-header-text").html(form_data.header_text);
					$(".resultant-form-header").css("background-color", form_data.header_bg_color);
					$(".resultant-form-header").css("background-image","url("+form_data.header_background_image+")");

					$(".resultant-form-desc").html(form_data.body_desc);

					if(form_data.footer_heading)
						$(".resultant-footer-head").html(form_data.footer_heading);

					if(form_data.footer_subheading)
						$(".resultant-footer-subhead").html(form_data.footer_subheading);

					if(form_data.footer_address)
						$(".resultant-address").html(form_data.footer_address);

					if(form_data.footer_contact)
						$(".resultant-contact").html(form_data.footer_contact);

					if(form_data.footer_email)
						$(".resultant-email").html(form_data.footer_email);

					if(form_data.form_name){
						$(".rfc_fname_input").val(form_data.form_name);
						$(".form_name").val(form_data.form_name);
					}

					$(".update_old_form_container").show();
					$(".old_template_url").show();
					$("#old_template_id").html(form_data.id);
					
					$(".customize_form").click();

					
				});

				var data_structure = {
					action: 'get_form_structure',
					form_id: form_id
				}

				$.post(ajaxurl, data_structure)
				.done(function(response){
					response = response.substring(0, response.length - 1);
					var form_data = $.parseJSON(response);

					if(form_data.has_name=="0"){
						$('#include_name').attr('checked', false); // UnChecks it
						$(".main_form_name").hide();
					}
					else if(form_data.has_name=="1"){
						$('#include_name').attr('checked', true); // Checks it
					}

					if(form_data.has_email=="0"){
						$('#include_email').attr('checked', false); // UnChecks it
						$(".main_form_email").hide();
					}
					else if(form_data.has_email=="1"){
						$('#include_email').attr('checked', true); // Checks it
					}

					if(form_data.has_contact=="0"){
						$('#include_contact').attr('checked', false); // UnChecks it
						$(".main_form_contact").hide();

					}
					else if(form_data.has_contact=="1"){
						$('#include_contact').attr('checked', true); // Checks it
					}

					if(form_data.has_dob=="0"){
						$('#include_dob').attr('checked', false); // UnChecks it
						$(".main_form_dob").hide();
						$(".Zebra_DatePicker_Icon").hide();

					}
					else if(form_data.has_dob=="1"){
						$('#include_dob').attr('checked', true); // Checks it
					}

					if(form_data.has_website=="0"){
						$('#include_website').attr('checked', false); // UnChecks it
						$(".main_form_website").hide();

					}
					else if(form_data.has_website=="1"){
						$('#include_website').attr('checked', true); // Checks it
					}

					if(form_data.has_message=="0"){
						$('#include_message').attr('checked', false); // UnChecks it
						$(".main_form_message").hide();

					}
					else if(form_data.has_message=="1"){
						$('#include_message').attr('checked', true); // Checks it
					}

					if(form_data.has_address=="0"){
						$('#include_address').attr('checked', false); // UnChecks it
						$(".main_form_address").hide();

					}
					else if(form_data.has_address=="1"){
						$('#include_address').attr('checked', true); // Checks it
					}
				});

				var get_autoresponder = {
					action: 'get_autoresponder',
					form_id: form_id
				}

				$.post(ajaxurl, get_autoresponder)
				.done(function(response){
					response = response.substring(0, response.length - 1);
					$("#autoresponder").val(response);
				});



});
});

		// Head control button events
		$(document).ready(function() {
			$(".head-control-btn").on("click", function(event){
				event.preventDefault();
				var element = $(this).attr('data-control');
				$(".form-header-control").hide();
				$("."+element).show();
				var x = $(".banner-header-text").val();
				if(x) $(".resultant-banner-header-text").html(x);
			})
		});

		$(".form-header-text").on("click", function(){
			$(".form-head-controls").show();
			$(".banner-header-text").hide();
		});
		
		$(".banner-header-text").on("click", function(){
			$(this).hide();
			var content = $(this).html();
			$(".form-header-text").show();
			$(".header_text_btn").show();
			$(".banner-header-text-input").val(content).show().focus();
			$(".header_text_btn i").addClass('fa-save');
			$(".form-head-controls").hide();
		})
		
		$(".header_text_btn").on("click", function(event){
			event.preventDefault();

			var x = $(".banner-header-text-input").val();
			$(".resultant-banner-header-text").html(x);
			if(x==""){
				x= "Banner Text is empty. Click to edit";
			}
			$(".banner-header-text").html(x).show();
			$(".banner-header-text-input").hide();
			$(".header_text_btn").hide();


		});
		// Color picker for form-head init
		$(document).ready(function(){
			var $box = $('#colorPicker');
			$box.tinycolorpicker();
			var box = $box.data("plugin_tinycolorpicker")

			box.setColor("rgb(3, 145, 206)");

			var bg_color = $(".colorInner").css("background-color");
			$(".form-header-text").css("background-color", bg_color);
		});

		
		// change color of header background
		$(document).ready(function(){
			$('.colorInner').on('click', function() { 
				$(".track").on("click", function(){
					var x = $(".colorInput").val();
					$(".resultant-form-header").css("background-color", x);
					$(".form-header-text").css("background-color", x);
				});
			});
		});

		$(".background_save").on("click", function(event){
			event.preventDefault();
			var img_url = "";
			var bg_color = "";
			$(".form-header-control").hide();
			$(".form-header-text").show();
			$(".banner-header-text").show();
			$(".form-head-controls").hide();
		});

		// Form body script
		$(document).ready(function(){
			// form-desc input
			$(".form-desc").on("click", function(){
				$(this).hide();
				$("#form-desc-input-container").fadeIn('fast',function(){
					$(".form-desc-input").focus();
				});	
			});
			$(".form-desc-save").on("click", function(event){
				event.preventDefault();
				var form_heading = $(".form-desc-input").val();
				
				if(!form_heading){
					$("#form-desc-input-container").fadeOut('slow', function(){
						$(".form-desc").html("Form heading is empty. Click to edit").show();
						$(".resultant-form-desc").hide();
					});
					$("#form-desc").attr("data-flag", "0");
				}
				else{
					$("#form-desc-input-container").fadeOut('slow', function() {
						$(".form-desc").html(form_heading).show().css("display","inline-block");
						$(".resultant-form-desc").html(form_heading);
					});
					$("#form-desc").attr("data-flag", "1");
				}
			});


			// REMOVE FOOTER
			$(".remove_footer").on("click", function(event){
				event.preventDefault();
				$(".has_footer").val("0");
				$(".form-footer-editor").hide();
				$(".resultant-form-footer").hide();
				$(this).hide();
				$(".add_footer").show();
			});

				// ADD FOOTER
				$(".add_footer").on("click", function(event){
					event.preventDefault();
					$(".has_footer").val("1");
					$(".form-footer-editor").show();
					$(".resultant-form-footer").show();
					$(this).hide();
					$(".remove_footer").show();
				});



			// footer-head input
			$(".footer-head").on("click", function(){
				$(this).hide();
				$("#footer-head-input-container").fadeIn('fast',function(){
					$(".footer-head-input").focus();
				});	
			});
			$(".footer-head-save").on("click", function(event){
				event.preventDefault();
				var form_heading = $(".footer-head-input").val();
				
				if(!form_heading){
					$("#footer-head-input-container").fadeOut('slow', function(){
						$(".footer-head").html("Footer head is empty. Click to edit").show();
						$(".resultant-footer-head").hide();
					});
					$("#footer-head").attr("data-flag", "0");
				}
				else{
					$("#footer-head-input-container").fadeOut('slow', function() {
						$(".footer-head").html(form_heading).show().css("display","inline-block");
						$(".resultant-footer-head").html(form_heading);
					});
					$("#footer-head").attr("data-flag", "1");
				}
			});


			// footer-head input
			$(".footer-subhead").on("click", function(){
				$(this).hide();
				$("#footer-subhead-input-container").fadeIn('fast',function(){
					$(".footer-subhead-input").focus();
				});	
			});
			$(".footer-subhead-save").on("click", function(event){
				event.preventDefault();
				var form_heading = $(".footer-subhead-input").val();
				
				if(!form_heading){
					$("#footer-subhead-input-container").fadeOut('slow', function(){
						$(".footer-subhead").html("Footer Sub Heading is empty. Click to edit").show();
						$(".resultant-footer-subhead").hide();
					});
					$("#footer-subhead").attr("data-flag", "0");
				}
				else{
					$("#footer-subhead-input-container").fadeOut('slow', function() {
						$(".footer-subhead").html(form_heading).show().css("display","inline-block");
						$(".resultant-footer-subhead").html(form_heading);
					});
					$("#footer-subhead").attr("data-flag", "1");
				}
			});

				// footer-head input
				$(".foo-address").on("click", function(){
					$(this).hide();
					$("#foo-address-input-container").fadeIn('fast',function(){
						$(".foo-address-input").focus();
					});	
				});
				$(".foo-address-save").on("click", function(event){
					event.preventDefault();
					var form_heading = $(".foo-address-input").val();

					if(!form_heading){
						$("#foo-address-input-container").fadeOut('slow', function(){
							$(".foo-address").html("Footer Sub Heading is empty. Click to edit").show();
							$(".resultant-foo-address").hide();
						});
						$("#foo-address").attr("data-flag", "0");
					}
					else{
						$("#foo-address-input-container").fadeOut('slow', function() {
							$(".foo-address").html(form_heading).show().css("display","inline-block");
							$(".resultant-address").html(form_heading);
						});
						$("#foo-address").attr("data-flag", "1");
					}
				});


				// footer-contact input
				$(".foo-contact").on("click", function(){
					$(this).hide();
					$("#foo-contact-input-container").fadeIn('fast',function(){
						$(".foo-contact-input").focus();
					});	
				});
				$(".foo-contact-save").on("click", function(event){
					event.preventDefault();
					var form_heading = $(".foo-contact-input").val();

					if(!form_heading){
						$("#foo-contact-input-container").fadeOut('slow', function(){
							$(".foo-contact").html("Contact is empty. Click to edit").show();
							$(".resultant-foo-contact").hide();
						});
						$("#foo-contact").attr("data-flag", "0");
					}
					else{
						$("#foo-contact-input-container").fadeOut('slow', function() {
							$(".foo-contact").html(form_heading).show().css("display","inline-block");
							$(".resultant-contact").html(form_heading);
						});
						$("#foo-contact").attr("data-flag", "1");
					}
				});

				// footer-contact input
				$(".foo-mail").on("click", function(){
					$(this).hide();
					$("#foo-mail-input-container").fadeIn('fast',function(){
						$(".foo-mail-input").focus();
					});	
				});
				$(".foo-mail-save").on("click", function(event){
					event.preventDefault();
					var form_heading = $(".foo-mail-input").val();

					if(!form_heading){
						$("#foo-mail-input-container").fadeOut('slow', function(){
							$(".foo-mail").html("Email is empty. Click to edit").show();
							$(".resultant-foo-email").html("");
							$(".resultant-foo-email").hide();
						});
						$("#foo-mail").attr("data-flag", "0");
					}
					else{
						$("#foo-mail-input-container").fadeOut('slow', function() {
							$(".foo-mail").html(form_heading).show().css("display","inline-block");
							$(".resultant-email").html(form_heading);
						});
						$("#foo-mail").attr("data-flag", "1");
					}
				});

			});

		// Main form submit
		$(document).ready(function(){
			var buttons9Click = Array.prototype.slice.call( document.querySelectorAll( 'button.btn-8g' ) ),
			totalButtons9Click = buttons9Click.length;

			buttons9Click.forEach( function( el, i ) { el.addEventListener( 'click', activate, false ); } );

			function activate() {
				var self = this, activatedClass = 'btn-activated';


				if( classie.has( this, 'btn-8g' ) ) {
					// if it is the first of the two btn-8g then activatedClass = 'btn-success3d';
					// if it is the second then activatedClass = 'btn-error3d'
					// activatedClass = buttons9Click.indexOf( this ) === totalButtons9Click ? 'btn-success3d' : 'btn-error3d';
					activatedClass = 'btn-success3d';
					// activatedClass = 'btn-error3d';
				}

				if( !classie.has( this, activatedClass ) ) {
					classie.add( this, activatedClass );
					setTimeout( function() { classie.remove( self, activatedClass ) }, 1000 );
				}
			}

		});

		// select form elements
		$(document).ready(function(){
			$(".include_element").on("click", function(){
				var element = $(this).attr("data-element");
				

				if($(this).is(':checked')){
					
					$("."+element).fadeIn("slow");
					if(element == "main_form_dob"){
						$(".Zebra_DatePicker_Icon").show();
					}
				}
				else{
					
					$("."+element).fadeOut("slow");
					if(element == "main_form_dob"){
						$(".Zebra_DatePicker_Icon").hide();
					}
				}
			});
		});

		// Review Form script
		$(document).ready(function(){
			// Redirect Url - Saving it in the form
			$(".rfc_action").on("click", function(event){
				event.preventDefault();
				var redirect_url = $(".rfc_input").val();

				$(".redirect_url").attr('data-redirect', redirect_url);
			});

			// Form Name - Saving it in form
			$(".rfc_fname_action").on("click", function(event){
				event.preventDefault();
				var form_name = $(".rfc_fname_input").val();

				$(".form_name").attr('data-fname', form_name);
			});
			// Generate embed code
			$(".gen_embed_code").on("click", function(){

				var form_html = "";
				var form_id = "";
				// Getting variable form components

				var form_id = "";
				var form_name = "";
				var form_header_bg_color = "";
				var form_header_text = "";
				var form_background_image = "";

				var form_body_desc = "";
				var form_body_redirect = "";
				var form_footer_heading = "";
				var form_footer_subheading = "";

				var has_footer = "";
				var form_footer_address = "";
				var form_footer_contact = "";
				var form_footer_email = "";



				var form_html = $(".resultant-form-container").html();
				// Getting variable form components

				var form_id = $(".form_id").val();
				var form_name = $(".rfc_fname_input").val();
				var form_header_bg_color = $(".resultant-form-header").css("background-color");
				var form_header_text = $.trim($(".resultant-banner-header-text").html());
				var form_background_image = $(".banner_image").attr("src");

				if (typeof form_background_image == "undefined"){
					form_background_image = "";
				}
				var form_body_desc = $.trim($(".resultant-form-desc").html());
				var form_body_redirect = $(".redirect_url").attr("data-redirect");

				var has_footer = $(".has_footer").val();
				if(has_footer == "1"){
					var form_footer_heading = $(".resultant-footer-head").html();
					var form_footer_subheading = $(".resultant-footer-subhead").html();
					var form_footer_address = $(".resultant-address").html();
					var form_footer_contact = $(".resultant-contact").html();
					var form_footer_email = $(".resultant-email").html();
				}	
				

				var action = 'save_form';
				if($(this).hasClass("update_old_form")){
					action = 'update_form';
				}
				var data = {
					action: action,
					form_id: form_id,
					form_name: form_name,
					form_header_bg_color: form_header_bg_color,
					form_header_text: form_header_text,
					form_background_image: form_background_image,
					form_body_desc: form_body_desc,
					form_body_redirect: form_body_redirect,
					has_footer: has_footer,
					form_footer_heading: form_footer_heading,
					form_footer_subheading: form_footer_subheading,
					form_footer_address: form_footer_address,
					form_footer_contact: form_footer_contact,
					form_footer_email: form_footer_email
				};
				

				$.post(
					ajaxurl, data
					)
				.done(function(response) {
					$(".gen_embed_code").html("Submitted")
					console.log("success"+response);
					var response = response/10;
					console.log(response);

					form_id = response;
					console.log("form-id" + form_id);
					$(".resultant-form-cta").fadeOut('slow', function() {
						var script = " <h2>Use the following script to include the form in your posts. </h2> <br> &lt;p class=\"load_widget\" id=\""+response+"\" &gt;&lt;/p&gt; "
						$(".resultant-form-cta").html(script);
						$(".resultant-form-cta").css({
							color: '#444',
							'font-size': '14px',
							'background-color': '#fff'
						});
						$(".resultant-form-cta").fadeIn('400');
					});
					save_form_structure(form_id, action);

				})
				.fail(function() {
					$(".gen_embed_code").html("Error")
					console.log("error");
				});
				
				
				function save_form_structure(form_id, action){
					// Save form Structure
					var structure = $(".include_element");
					var has_name = "1",
					has_email = "1",
					has_contact = "1",
					has_dob = "1",
					has_website = "1",
					has_address = "1",
					has_message = "1";


				 // HAS NAME
				 if($("#include_name").is(':checked')){
				 	has_name = 1;
				 } 

				 if(!$("#include_name").is(':checked')){
				 	has_name = 0;
				 } 

				// HAS EMAIL
				if($("#include_email").is(':checked')){
					has_email = 1;
				} 

				if(!$("#include_email").is(':checked')){
					has_email = 0;
				} 

				// HAS CONTACT
				if($("#include_contact").is(':checked')){
					has_contact = 1;
				} 

				if(!$("#include_contact").is(':checked')){
					has_contact = 0;
				} 

				// HAS DOB
				if($("#include_dob").is(':checked')){
					has_dob = 1;
				} 

				if(!$("#include_dob").is(':checked')){
					has_dob = 0;
				} 

				// HAS WEBSITE
				if($("#include_website").is(':checked')){
					has_website = 1;
				} 

				if(!$("#include_website").is(':checked')){
					has_website = 0;
				} 

				// HAS ADDRESS
				if($("#include_address").is(':checked')){
					has_address = 1;
				} 

				if(!$("#include_address").is(':checked')){
					has_address = 0;
				} 

				// HAS MESSAGE
				if($("#include_message").is(':checked')){
					has_message = 1;
				} 

				if(!$("#include_message").is(':checked')){
					has_message = 0;
				} 

				var structure_action = "save_form_structure";

				if(action == "update_form"){
					structure_action = "update_form_structure";
				}

				
				var data = {
					action: structure_action,
					form_id: form_id,
					has_name: has_name,
					has_email: has_email,
					has_contact: has_contact,
					has_dob: has_dob,
					has_website:has_website,
					has_address: has_address,
					has_message: has_message
				};

				$.post(
					ajaxurl, data
					)
				.success(function(){
					console.log("form structure saved");
				})
				.fail(function(){
					console.log("unable to save form structure");
				});


			}

			return false;
		});

		$(document).ready(function(){
			$(".autoresponder_cta").on("click", function(event){
				event.preventDefault();
				var form_id = $(".form_id").val(); 
				console.log(form_id);
				if(form_id == ""){
					$(".auto_message").show();
				}
				else{
					$(".stage_content").hide();
					$(".autoresponder_container").show();
				}
			});

			$(".autoresponder_back").on("click", function(event){
				event.preventDefault();
				$(".stage_content").hide();
				$(".summary_form_container").show();
			});

			$(".save_autoresponder").on("click", function(event){
				event.preventDefault();
				var content = $("#autoresponder").val();
				var form_id = $(".form_id").val(); 
				
				var data = {
					action: 'save_autoresponder',
					form_id: form_id,
					content: content
				};
				$.post(ajaxurl,data)
				.success(function(){
					$(".save_autoresponder").html("Saved");
				})
			});
		});

});
});

}(jQuery));