(function( $ ) {
	'use strict';

	$(function() {
		$(document).ready(function(){


			// show create autoresponder section
			$(".create_autoresponder").on("click", function(event){
				event.preventDefault();
				$(".create_autoresponder_section").show();
				$(".autoresponder_list_section").hide();
			});

			$(".back_auto_list").on("click", function(event){
				event.preventDefault();
				$(".create_autoresponder_section").hide();
				$(".autoresponder_list_section").show();
			});


			function get_editor_content(message) {

				if ( jQuery("#"+message+":hidden").length > 0)
				{
					return tinyMCE.get(message).getContent();
				}
				else
				{
					return jQuery('#'+message).val();
				}
			}

			$(".create_new").on("click", function(event){
				event.preventDefault();
				// validation

				var id = $(this).attr("data-autoid");


				var form_id = $(".form_name").val();
				var schedule_delay = $(".schedule_delay").val();
				var autoresponder_name = $(".autoresponder_name").val();
				var autoresponder_body = get_editor_content("autoresponder_body");

				console.log(form_id);
				if(typeof id == "undefined"){
					var data = {
						action: 'save_autoresponder_schedule',
						form_id: form_id,
						schedule_delay: schedule_delay,
						autoresponder_name: autoresponder_name,
						autoresponder_body: autoresponder_body,
					};
				}
				else{
					var data = {
						action: 'update_autoresponder_schedule',
						id: id,
						form_id: form_id,
						schedule_delay: schedule_delay,
						autoresponder_name: autoresponder_name,
						autoresponder_body: autoresponder_body,
					};
				}
				
				$.post(ajaxurl, data)
				.done(function(){
					location.reload();
				});
			});

			$(".edit_btn").on("click", function(event){
				event.preventDefault();
				var id = $(this).attr("data-autoId");
				var form_id = $(this).attr("data-formId");
				var delay = $(this).attr("data-delay");
				var autoresponder_name = $(this).attr("data-autoName");
				var data = {
					action: 'get_autoresponder_schedule',
					id: id
				};

				$.post(ajaxurl, data)
				.done(function(response){

					$(".form_name").val(form_id);
					$(".schedule_delay").val(delay);
					$(".autoresponder_name").val(autoresponder_name);
					$("#autoresponder_body").val(response);

					$(".create_new").html("Update Autoresponder").attr("data-autoId", id);
					$(".create_autoresponder_section").show();
					$(".autoresponder_list_section").hide();
				});

			});

			$(".delete_btn").on("click", function(event){
				event.preventDefault();
				var r=confirm("Are you sure?");
				if (r==true)
				{
					var id = $(this).attr("data-autoId");

					var data = {
						action: 'delete_autoresponder_schedule',
						id: id
					};

					$.post(ajaxurl, data)
					.done(function(response){
						location.reload();
					});
				}
				else
				{
					return;
				}
				
			});


		});
});

})( jQuery );