// Script for leads php on admin panel
(function ( $ ) {
	"use strict";

	$(function () {

		[].slice.call( document.querySelectorAll( 'button.progress-button' ) ).forEach( function( bttn ) {
			new ProgressButton( bttn, {
				callback : function( instance ) {
					var progress = 0,
					interval = setInterval( function() {
						progress = Math.min( progress + Math.random() * 0.1, 1 );
						instance._setProgress( progress );

						if( progress === 1 ) {
							instance._stop(1);
							clearInterval( interval );
						}
					}, 200 );
				}
			} );
		} );

// dropzone file upload
Dropzone.options.myAwesomeDropzone = {
	accept: function(file, done) {
		console.log("uploaded");
		done();
	},
	init: function() {
		this.on("addedfile", function() {
			if (this.files[1]!=null){
				this.removeFile(this.files[0]);
			}
		});
	},
	success: function(file, response){
		console.log(response);
		// $(".banner_image").attr("src",response);
		// $(".resultant-form-header").css("background-image","url("+response+")");
		// $(".form-header-text").css("background","url("+response+") no-repeat");
		$(".file_url").val(response);
		$(".csv_message").html("CSV uploaded Succesfully");
		if (file.previewElement) {
			return file.previewElement.classList.add("dz-success");
		}
	},
	fail: function(response){
		$(".csv_message").html("Error while uploading.");
	}
};

$(".done_button").on("click", function(event){
	event.preventDefault();
	var file = $(".file_url").val();
	if(file == ""){
		$(".csv_message").html("no file found");
	}
	else{
		var data = {
			action: 'parse_csv',
			url: file
		};
		$.post(ajaxurl,data)
		.success(function(response){
			response = response.substring(0, response.length - 1);
			$(".csv_message").html(response);
			$(".hide_modal_success").show();
			$(".import_success_flag").val(1);
		})
		.done(function(response){})
	}
});

$(".import_csv").on("click", function(event){
	event.preventDefault();
	$(".modal_container").fadeIn();
});
$(".cancel").on("click", function(event){
	if($(".import_success_flag").val()=="1"){
		location.reload();
	}
	else{
		$(".modal_container").fadeOut();
	}
});

// Stage Selector
$(document).ready(function(){
	$(".send_email_container").hide();
	$(".stage").on("click", function(){
		$(".stage").removeClass('active');
		$(this).addClass('active');
		var data_stage = $(this).attr('data-stage');
		$(".stage_content").hide();
		$("."+data_stage+"_container").show();

	});
});

// Chosen JS
var config = {
	'.chosen-select'           : {},
	'.chosen-select-deselect'  : {allow_single_deselect:true},
	'.chosen-select-no-single' : {disable_search_threshold:10},
	'.chosen-select-no-results': {no_results_text:'Oops, nothing found!'},
	'.chosen-select-width'     : {width:"95%"}
}

for (var selector in config) {
	$(selector).chosen(config[selector]);
}

$('#select_all').on("click",function(event) {
	event.preventDefault();
	$('#recipient_list option').attr("selected", "selected");
	$('#recipient_list').trigger("chosen:updated");	
});

$('#remove_all').on("click",function(event) {
	event.preventDefault();
	$('#recipient_list option').removeAttr("selected");
	$('#recipient_list').trigger("chosen:updated");	
});


$('#select_all_contact').on("click",function(event) {
	event.preventDefault();
	$('#contact_list option').attr("selected", "selected");
	$('#contact_list').trigger("chosen:updated");	
});

$('#remove_all_contact').on("click",function(event) {
	event.preventDefault();
	$('#contact_list option').removeAttr("selected");
	$('#contact_list').trigger("chosen:updated");	

});


// initiating tinymce
$(document).ready(function(){
	tinyMCE.init({
        // General options
        mode : "specific_textareas",
        editor_selector : "mceEditor"
    });
})

function get_editor_content(message) {

	if ( jQuery("#"+message+":hidden").length > 0)
	{
		return tinyMCE.get(message).getContent();
	}
	else
	{
		return jQuery('#'+message).val();
	}
}

$(".export_csv").on("click", function(event){
	event.preventDefault();
	var data = {
		action:'export_csv'
	};
	$.post(ajaxurl, data)
	.success(function(response){
	})
});

$(".send_mail").on("click", function(event){
	event.preventDefault();
	var subject = $(".email_subject").val();
	var message = get_editor_content("message");
	var recipient_list = $("#recipient_list").chosen().val();
	var contact_list = $("#contact_list").chosen().val();
	var data = {
		action: 'send_mail',
		recipient_list: recipient_list,
		contact_list: contact_list,
		subject: subject,
		message: message
	};
	$.post(
		ajaxurl, data
		)
	.done(function(response) {
		$(".notification.success_message").delay( 1800 ).fadeIn("slow");
		$("#remove_all").delay( 1800 ).click();

		$(".notification.success_message").delay( 2800 ).fadeOut("slow");
	})
	.fail(function() {
		$(".notification.error_message").delay( 1800 ).fadeIn("slow");
		$("#remove_all").delay( 1800 ).click();

		$(".notification.error_message").delay( 1800 ).fadeOut("slow");
	});

});

});

}(jQuery));