// Script for reports panel on admin panel
(function ( $ ) {
	"use strict";

	$(function () {
		// Place your administration-specific JavaScript here
		var total_views = 0;
		var total_submissions = 0;
		var donutData = [];

		$(function() {
			$( "#tabs" ).tabs();
		});

		function getRandomColor() {
			var letters = '0123456789ABCDEF'.split('');
			var color = '#';
			for (var i = 0; i < 6; i++ ) {
				color += letters[Math.floor(Math.random() * 16)];
			}
			return color;
		}
		$(function(){
			$(document).ready(function(){
				var data = {
					action : 'get_form_analytics'
				}
				$.post(ajaxurl, data)
				.success(function(response){
					console.log(response);
					response = response.substring(0,response.length - 1);
					var data = $.parseJSON(response);
					
					total_views = data.analytics['total_views'];
					total_submissions = data.analytics['total_submissions'];

					
					$.each(data.form_stats, function(key, value){
						var item = {
							value: parseInt(value.form_submissions),
							color: getRandomColor(),
							label: value.form_name
						};
						donutData.push(item);
					});
					console.log(donutData);
					plot_graphs();
				});
			});
		});
		function plot_graphs(){
			var t;
			function size(animate){
				if (animate == undefined){
					animate = false;
				}
				clearTimeout(t);
				t = setTimeout(function(){
					$("canvas").each(function(i,el){
						$(el).attr({
							"width":$(el).parent().width(),
							"height":$(el).parent().outerHeight()
						});
					});
					redraw(animate);
					var m = 0;
					$(".chartJS").height("");
					$(".chartJS").each(function(i,el){ m = Math.max(m,$(el).height()); });
					$(".chartJS").height(m);
				}, 30);
			}
			$(window).on('resize', function(){ size(false); });


			function redraw(animation){
				var options = {};
				if (!animation){
					options.animation = false;
				} else {
					options.animation = true;
				}


				
				var pieData = [
				{
					value : parseInt(total_views),
					color : "#5f728f",
					label: "Views"
				},
				{
					value : parseInt(total_submissions),
					color : "#6dc5a3",
					label: "Leads"
				}

				];

				var myPie = new Chart(document.getElementById("pie-chart-js").getContext("2d")).Pie(pieData);

				var myDonut = new Chart(document.getElementById("donut-chart-js").getContext("2d")).Doughnut(donutData);
			}




			size(true);

		};

		// jscripts end here
		
	});
}(jQuery));