<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   Plugin_Name
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 */
?>

<div class="wrap">

	<h2 class="page_title"><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<!-- @TODO: Provide markup for your options page here. -->
	<hr>

	<div class="page_container">
		<!-- Stage selector -->
		<section class="stage_selector">
			<div class="row">
				<div class="col-xs-4">
					<div class="stage choose_form active" data-stage="choose_form">
						<a href="#" class="stage-icon">
							<i class="fa fa-file"></i>
						</a>
						<span class="stage-desc">Select Form Template</span>
					</div>
				</div>
				<div class="col-xs-4">
					<div class="stage customize_form customize_add_form" data-stage="customize_form">
						<a href="#" class="stage-icon">
							<i class="fa fa-wrench"></i>
						</a>
						<span class="stage-desc">Add Form Template</span>
					</div>
				</div>
				<div class="col-xs-4">
					<div class="stage summary_form" data-stage="summary_form" style="display:none;">
						<a href="#" class="stage-icon">
							<i class="fa fa-rocket"></i>
						</a>
						<span class="stage-desc">Generate Embed Code</span>
					</div>
				</div>
			</div>
		</section>
		<!-- stage selector ends -->
		<section class="stage_container">
			<div class="stage_content choose_form_container">
				<!-- Loading customized forms -->
				<?php 
				global $wpdb;

				$id = "";
				$form_name = "";
				$header_bg_color = "";
				$header_text = "";
				$has_footer = "";
				$header_background_image = "";
				

				$table_name = $wpdb->prefix . "atf_customized_forms"; 
				$rows = $wpdb->get_results( "SELECT * FROM $table_name");
				if($rows){
					foreach ($rows as $row) {
						$id = $row->id;
						$form_name = $row->form_name;
						$header_bg_color = $row->header_bg_color;
						$header_text = $row->header_text;
						$header_background_image = $row->header_background_image;
						?>
						<div class="form-holder">
							<?php if($id<21) { ?>
							<div class="form-image" style="background: url(<?php echo home_url('wp-content/plugins/atf/assets/default_images/', __FILE__)."form".$id.".png"; ?>); background-size: cover;">
								<?php } ?>

								<?php if($id>=21) { ?>
								<div class="form-image" style="background: <?php if(!$header_background_image) echo $header_bg_color; else if($header_background_image) echo "url($header_background_image);";?> background-size: cover;">
									<?php } ?>


								</div>
								<section>
									<button class="progress-button form_select" data-form-id="<?php echo $id; ?>" data-style="rotate-angle-bottom" data-perspective data-horizontal>SELECT FORM</button>
								</section>
							</div>
							<?php
						}
					}
					?>


				</div>
				<div class="stage_content customize_form_container" style="display:none;">
					<span class="placeholder_message">This is just a placeholder form to select fields and add content, the actual form template will be shown in next step</span>
					<span class="next_button_tab2">Next <i class="fa fa-arrow-right"></i></span>
					<div class="form-structure">
						<div class="form-head-editor">
							<div class="form-header">
								<!-- Image Uploader -->
								<div class="form-header-control form-header-text">

									<input class="banner-header-text-input" placeholder="Enter Form Heading Here">

								</div>
								<span class="banner-header-text">Enter Form Heading Here</span>
								<div class="head-control-btn header_text_btn" data-control="form-header-text">
									<a href="#" class="control-btn" ><i class="fa fa-pencil"></i> Edit Header Text</a>
								</div>
								<!-- Plain background -->
								<div class="form-header-control form-plain-bg" style="display: none;">
									<!-- Color Picker -->
									<div id="colorPicker">
										<a class="color">
											<div class="colorInner">
												<span><i class="fa fa-tint"></i>Click to choose color</span>	
											</div>
										</a>
										<div class="track"></div>
										<ul class="dropdown"><li></li></ul>
										<input type="hidden" class="colorInput"/>
									</div>
								</div>

								<!-- Image Uploader -->
								<div class="form-header-control form-banner-image" style="display: none;">
									<form action="<?php echo plugins_url('/upload_image.php', __FILE__ )?>" id="my-awesome-dropzone" class="dropzone upload_image">
										<div class="fallback">
											<input name="file" type="file" multiple />
										</div>
									</form>
									<!-- <a href="#" class="upload_image"><i class="fa fa-camera"></i>Click to Upload Image</a> -->
									<img class="banner_image img-responsive">
								</div>
							</div>
							<div class="form-head-controls">


								<div class="head-control-btn plain_bg_btn" data-control="form-plain-bg">
									<a href="#" class="control-btn" title="Click on the region to change color"><i class="fa fa-tint"></i> Change Background Color</a>
								</div>

								<div class="head-control-btn image_upload_btn" data-control="form-banner-image">
									<a href="#" class="control-btn" title="Upload Image"><i class="fa fa-camera"></i> Change Background Image</a>
								</div>

								<div class="background_save" >
									<a href="#" class="control-btn" title="Save background changes"><i class="fa fa-save"></i> Save Changes</a>
								</div>
							</div> <!-- form-head-controls -->
						</div>  <!-- form-head-editor -->

						<!-- FORM HEAD ENDS HERE  -->
						<!-- FORM BODY STARTS HERE -->
						<div class="form-body-editor">
							<div class="form-body form-body-bg">

								<div class="row">
									<span class="form-desc">Enter your form description here</span>
									<input id="form-desc" type="hidden" data-flag="">
									<!-- Form desc input FORM -->
									<div class="row form-desc-input-container" id="form-desc-input-container" style="display: none;">
										<div>
											<input class="form-desc-input" id="form-desc-input" placeholder="Enter your form description here">
										</div>
										<div class="form-desc-save-control">
											<a href="#" class="form-desc-save"><i class="fa fa-save"></i></a>
										</div>
									</div>
									<!-- FORM DESC INPUT FORM ENDS -->
								</div>

								<div class="row main-form">
									<!-- <form class="atf-form"> -->
									<div class="row">
										<input class="main-form-input main_form_name" placeholder="Name" type="text" id="main_form_name">
										<input class="main-form-input main_form_email" placeholder="Email" type="email" id="main_form_email">
										<input class="main-form-input main_form_contact" placeholder="Contact" type="tel" id="main_form_contact">
										<input class="main-form-input main_form_dob" placeholder="Date of Birth" type="text" id="main_form_dob">
										<input class="main-form-input main_form_website" placeholder="Website" type="text" id="main_form_website">


										<textarea class="main-form-input main_form_address" placeholder="Address" id="main_form_address"></textarea>
										<textarea class="main-form-input main_form_message" placeholder="Message" id="main_form_message"></textarea>
										<p class="perspective">
											<button type="submit" id="main_form_submit" class="main_form_submit btn btn-8 btn-8g">
												<i class="fa fa-envelope"></i>SUBMIT
											</button>
										</p>
									</div>
									<!-- </form> -->
								</div>
							</div>
							<div class="form-body-control">
								<div class="pick_form_elements">
									<div class="row">
										<span class="choose_element_instruction">SELECT FORM ELEMENTS</span>
									</div>
									<div class="row">
										<div class="col-xs-10">
											<label for="include_name" >Name</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_name" name="include_name" data-element="main_form_name" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_email" >Email</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_email" name="include_email" data-element="main_form_email" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_contact" >Contact</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_contact" name="include_contact" data-element="main_form_contact" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_dob" >DOB</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_dob" name="include_dob" data-element="main_form_dob" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_website" >Website</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_website" name="include_website" data-element="main_form_website" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_address" >Address</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_address" name="include_address" data-element="main_form_address" checked="checked">
										</div>
									</div>

									<div class="row">
										<div class="col-xs-10">
											<label for="include_message">Message</label>
										</div>
										<div class="col-xs-2">
											<input type="checkbox" class="include_element" id="include_message" name="include_message"  data-element="main_form_message" checked="checked">
										</div>
									</div>

								</div>
							</div>
						</div>
						<!-- Form body ends here -->
						<!-- Form footer begins here -->
						<div class="add_footer_container">
							<a href="#" class="add_footer"><i class="fa fa-plus-circle"></i>Add Footer</a>
							<a href="#" class="remove_footer" style="display: none;"><i class="fa fa-minus-circle"></i>Remove Footer</a>
						</div>
						<div class="form-footer-editor" style="display: none;">
							<div class="form-footer">
								<!-- Footer head text container starts here -->
								<div class="footer-head-text-container">

									<div class="form-footer-head-editor">
										<div class="footer-head-container">
											<span class="footer-head">Enter Footer Heading Here</span>
											<!-- Footer header input FORM -->
											<div class="row footer-head-input-container" id="footer-head-input-container" style="display: none;">
												<div>
													<input class="footer-head-input" id="footer-head-input" placeholder="Enter your form description here">
												</div>
												<div class="footer-head-save-control">
													<a href="#" class="footer-head-save"><i class="fa fa-save"></i> Save Changes</a>
												</div>
											</div>
											<!-- Footer header INPUT FORM ENDS -->
										</div>
										<div class="footer-head-control">

										</div>
									</div>
									<!-- Form footer head editor ends here -->
									<!-- Form footer sub-head editor starts here -->
									<div class="form-footer-subhead-editor">
										<div class="footer-subhead-container">
											<span class="footer-subhead">Enter Footer Heading Here</span>
											<!-- Footer header input FORM -->
											<div class="row footer-subhead-input-container" id="footer-subhead-input-container" style="display: none;">
												<div>
													<input class="footer-subhead-input" id="footer-subhead-input" placeholder="Enter your form description here">
												</div>
												<div class="footer-subhead-save-control">
													<a href="#" class="footer-subhead-save"><i class="fa fa-save"></i> Save Changes</a>
												</div>
											</div>
											<!-- Footer header INPUT FORM ENDS -->
										</div>
										<div class="footer-subhead-control">

										</div>
									</div>
								</div>
								<!-- Footer head text container ends here -->
								<!-- Address input -->
								<div class="form-foo-address-editor">
									<div class="foo-address-container">
										<i class="fa fa-map-marker"></i><span class="foo-address">Enter Address Here</span>
										<!-- Footer header input FORM -->
										<div class="row foo-address-input-container" id="foo-address-input-container" style="display: none;">
											<div>
												<input class="foo-address-input" id="foo-address-input" placeholder="Enter your form description here">
											</div>
											<div class="foo-address-save-control">
												<a href="#" class="foo-address-save"><i class="fa fa-save"></i> Save Changes</a>
											</div>
										</div>
										<!-- Footer header INPUT FORM ENDS -->
									</div>
									<div class="foo-address-control">

									</div>
								</div>
								<!-- Address input ends here -->
								<!-- Contact number input -->
								<div class="form-foo-contact-editor">
									<div class="foo-contact-container">
										<i class="fa fa-phone"></i><span class="foo-contact">Enter Contact Details Here</span>
										<!-- Footer header input FORM -->
										<div class="row foo-contact-input-container" id="foo-contact-input-container" style="display: none;">
											<div>
												<input class="foo-contact-input" id="foo-contact-input" placeholder="Enter your form description here">
											</div>
											<div class="foo-contact-save-control">
												<a href="#" class="foo-contact-save"><i class="fa fa-save"></i> Save Changes</a>
											</div>
										</div>
										<!-- Footer header INPUT FORM ENDS -->
									</div>

									<div class="foo-mail-container">
										<i class="fa fa-envelope"></i><span class="foo-mail">Enter Contact Details Here</span>
										<!-- Footer header input FORM -->
										<div class="row foo-mail-input-container" id="foo-mail-input-container" style="display: none;">
											<div>
												<input class="foo-mail-input" id="foo-mail-input" placeholder="Enter your form description here">
											</div>
											<div class="foo-mail-save-control">
												<a href="#" class="foo-mail-save"><i class="fa fa-save"></i> Save Changes</a>
											</div>
										</div>
										<!-- Footer header INPUT FORM ENDS -->
									</div>


									<div class="foo-contact-control">

									</div>
								</div>
								<!--  -->

							</div>
							<div class="form-footer-control">

							</div>
						</div>
					</div>
				</div>
				<!-- Review form Stage starts here -->
				<div class="stage_content summary_form_container" style="display:none;">
					<!-- RESULTANT FORM -->

					<!-- Loading css of default forms -->

					<div class="resultant-form-container">
						<div class="resultant-form-header"  style="min-height: 200px; text-align: center; background-color: rgb(3, 145, 206);">
							<span class="resultant-banner-header-text" style="font-size: 24px; background: none; border: none; outline: none; padding: 10px 10px; color: #fff; line-height: 200px; text-align: center; min-height: 200px; display:block; background-color: rgba(0,0,0,0.2)">Form Header here</span>
						</div>
						<div class="resultant-form-body" style="padding: 20px 20px; background: #fff; min-height: 100px;">
							<span class="resultant-form-desc" style="font-size: 24px; font-family: 'lato', sans-serif; color: #888; padding: 5px;">
								Form Subheader Here
							</span>

							<div class="row main-form resultant-main-form" style="padding: 15px 0px;">
								<form class="atf-form" action="" onsubmit="return false;">
									<div class="row">
										<input class="main-form-input main_form_name" placeholder="Name" type="text">
										<input class="main-form-input main_form_email" placeholder="Email" type="email">
										<input class="main-form-input main_form_contact" placeholder="Contact" type="tel">
										<input class="main-form-input main_form_dob" placeholder="Date of Birth" type="text">
										<input class="main-form-input main_form_website" placeholder="Website" type="text">


										<textarea class="main-form-input main_form_address" placeholder="Address"></textarea>
										<textarea class="main-form-input main_form_message" placeholder="Message"></textarea>

										<!-- Hidden data sets -->
										<input type="hidden" data-redirect="" class="redirect_url">
										<input type="hidden" data-fname="" class="form_name">
										<input type="hidden" data-fid="" class="form_id">
										<input type="hidden" data-fid="" class="has_footer" value="0">
										<p class="perspective">
											<button type="submit" id="main_form_submit" class="main_form_submit btn btn-8 btn-8g">
												<i class="fa fa-envelope"></i>SUBMIT
											</button>
										</p>
									</div>
								</form>
							</div>
						</div>
						<div class="resultant-form-footer" style="display:none; padding: 20px 20px; background: #98D6D3; min-height: 100px; text-align: center;">
							<div class="resultant-footer-head" style="font-size: 24px; font-family: 'lato', sans-serif; color: #3B6D8C; padding: 5px; margin-bottom: 10px; display: inline-block;">Footer Heading Here</div>
							<div class="resultant-footer-subhead" style="font-size: 14px; font-family: 'lato', sans-serif; color: #3B6D8C; padding: 5px; padding-bottom: 20px; border-bottom: 1px solid #BEE6FF;">Footer Subheading Here</div>
							<div class="resultant-foo-address" style="font-size: 14px; font-family: 'lato', sans-serif; color: #3B6D8C; padding: 10px; margin-bottom: 10px; display: block;">
								<i class="fa fa-map-marker"></i>
								<span class="resultant-address">#221 B Baker's Street, London</span>
							</div>
							<span class="resultant-foo-contact" style="font-size: 14px; font-family: 'lato', sans-serif; color: #3B6D8C; padding: 10px; margin-bottom: 10px; display: inline-block;">
								<i class="fa fa-phone"></i>
								<span class="resultant-contact">+91 - 9004-080-007</span>
							</span>
							<span class="resultant-foo-email" style="font-size: 14px; font-family: 'lato', sans-serif; color: #3B6D8C; padding: 10px; margin-bottom: 10px; display: inline-block;">
								<i class="fa fa-envelope"></i>
								<span class="resultant-email">sh@detective.com</span>
							</span>
						</div>
					</div>
					<!-- RESULTANT FORM ENDS -->

					<div class="resultant-cta-container">
						<div class="row update_old_form_container">
							<div class="row update_template">
								<span>Template details</span>
							</div>
							<div class="row old_template_url" style="display:none;">
								<span>
									<b>Use the following script to include the form in your posts in text mode or add in widgets. </b> <br> 
									<br>
									<!-- &lt;script src="wp-content/plugins/atf/atf_view.js?id=<span id="old_template_id"></span>"&gt;&lt;/script&gt; -->
									&lt;p class="load_widget" id="<span id="old_template_id"></span>" &gt;&lt;/p&gt; 
								</span>
							</div>
							<a href="#" class="gen_embed_code update_old_form">Publish</a> 
						</div>
						
						<div class="row attach_autoresponder">
							<div class="row">
								<span>Attach an auto-responder for the form</span>
							</div>
							<div class="auto_message" style="display: none;">You need to save the form first</div>
							<a href="#" class="autoresponder_cta">Autoresponder</a>
						</div>

						<div class="resultant-form-cta">
							<div class="row new_template">
								<span class="">Save this Form as New Template Form</span>
							</div>
							<div class="row">
								<input class="rfc_fname_input" placeholder="Enter Form Name"> <a href="#" class="rfc_fname_action"><i class="fa fa-save"></i></a>
								<input class="rfc_input" placeholder="Enter Form Redirect Url"> <a href="#" class="rfc_action"><i class="fa fa-save"></i></a>
							</div>
							<div class="row">
								<a href="#" class="gen_embed_code">Generate Embed Code</a>
							</div>
						</div>
					</div>
				</div>

				<!-- Review form Stage starts here -->
				<div class="stage_content autoresponder_container" style="display:none;">
					<div class="autoresponder_nav">
						<label>Customize your Auto-Responder Here</label>
						<a href="#" class="autoresponder_back"><i class="fa fa-arrow-left"></i>Back</a>
					</div>
					<div>
						<a href="#" class="save_autoresponder">Save Auto Responder</a>
					</div>
					<?php 

					$content = "";
					$editor_id = "autoresponder";
					$settings = array(
						'textarea_rows' => 40,
						'textarea_name' => 'content',
						'drag_drop_upload' => true,
							// 'media_buttons' => false,
						'tinymce' => array(
							'theme_advanced_buttons1' => 'formatselect,|,bold,italic,underline,|,' .
							'bullist,blockquote,|,justifyleft,justifycenter' .
							',justifyright,justifyfull,|,link,unlink,|' .
							',spellchecker,wp_fullscreen,wp_adv'
							)
						);
					wp_editor( $content, $editor_id, $settings ); 

					?>

				</div>
			</section>

		</div>


	</div>
