<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   AirTightForm
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 */
?>

<div class="wrap">
	<h2 class="page_title"><?php echo esc_html( get_admin_page_title() ); ?></h2>
	<hr>
	
	<!-- section 1... list all autoresponders -->
	<section class="autoresponder_list_section">
		<div class="row">
			<a href="#" class="button button-primary button-large create_autoresponder">Create New Autoresponder</a>
		</div>
		<hr>
		<div class="row">
			<table class="wp-list-table widefat fixed">
				<thead>
					<tr>
						<th>#</th>
						<th>Subject</th>
						<th>Day</th>
						<th>Form</th>
						<th>Edit</th>
						<th>Delete</th>
					</tr>
				</thead>
				<tbody>
					<?php 
					global $wpdb;

					$table_name = $wpdb->prefix . "atf_autoresponder_scheduler"; 
					$rows = $wpdb->get_results( "SELECT * FROM $table_name");
					if($rows){
						$ctr = 1; 
						foreach ($rows as $row) { ?>
						<tr>
							<td><?= $ctr++ ?></td>
							<td><?= $row->autoresponder_name ?></td>
							<td><?= $row->schedule_delay ?></td>
							<td><?= $row->form_name ?></td>
							<td><a href="#" class="button button-primary edit_btn" data-autoName="<?= $row->autoresponder_name ?>" data-delay="<?= $row->schedule_delay ?>" data-formId="<?= $row->form_id; ?>" data-form="<?= $row->form_name ?>" data-autoId = "<?php echo $row->id ?>">Edit</a></td>
							<td><a href="#" class="button button-primary delete_btn" data-autoId = "<?php echo $row->id ?>">Delete</a></td>
						</tr>
						<?php }
					}
					?>	
				</tbody>
			</table>
		</div>
	</section>

	<!-- Section 2... Create Autoresponder form -->
	<section class="create_autoresponder_section">
		<div class="row">
			<a href="#" class="button button-primary button-large back_auto_list">Back To Autoresponder List</a>
		</div>
		<hr>
		<form class="create_auto" id="create_auto" data-autoId="">
			<div class="row">
				<label class="col-xs-3">Choose a form</label>
				<select id="form_name" class="form_name col-xs-4" name="form_name">
					<option value="">Choose a form</option>
					<?php 
					$table_name = $wpdb->prefix . "atf_customized_forms"; 
					$rows = $wpdb->get_results( "SELECT * FROM $table_name");
					if($rows){
						foreach ($rows as $row) {
							?>
							<option value="<?php echo $row->id; ?>"><?php echo $row->form_name; ?></option>
							<?php 
						}
					}
					?>
				</select>
			</div>
			<div class="row">
				<label class="col-xs-3">Select Day</label>
				<input type="number" min="1" max="31" class="form-control schedule_delay col-xs-4" name="schedule_delay" id="schedule_delay">
			</div>
			<div class="row">
				<label class="col-xs-3">Enter Autoresponder Mail Subject</label>
				<input class="form-control autoresponder_name col-xs-4" id="autoresponder_name" name="autoresponder_name" placeholder="Enter Autoresponder Mail Subject">
			</div>

			<div class="row">


				<div class="message_container">
					<label>Message: </label>
					<?php 

					$content = "";
					$editor_id = "autoresponder_body";
					$settings = array(
						'textarea_rows' => 40,
						'textarea_name' => 'autoresponder_body',
						'drag_drop_upload' => true,
							// 'media_buttons' => false,
						'tinymce' => array(
							'theme_advanced_buttons1' => 'formatselect,|,bold,italic,underline,|,' .
							'bullist,blockquote,|,justifyleft,justifycenter' .
							',justifyright,justifyfull,|,link,unlink,|' .
							',spellchecker,wp_fullscreen,wp_adv'
							)
						);
					wp_editor( $content, $editor_id, $settings ); 

					?>

				</div>

			</div>
			<div class="row submit_cta">
				<a href="#" class="button button-primary button-large create_new">Create Autoresponder</a>
				<a href="#" class="button button-primary button-large back_auto_list">Back To Autoresponder List</a>
			</div>
		</form>
	</section>

</div>