<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   Plugin_Name
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 */
?>

<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<!-- @TODO: Provide markup for your options page here. -->


	<hr>
	<!-- Stage selector -->
	<section class="stage_selector">
		<div class="row">
			<div class="col-xs-4">
				<div class="stage choose_form active" data-stage="leads">
					<a href="#" class="stage-icon">
						<i class="fa fa-list"></i>
					</a>
					<span class="stage-desc">Lead List</span>
				</div>
			</div>

			<div class="col-xs-4">
				<div class="stage imported_contacts" data-stage="imported_contacts">
					<a href="#" class="stage-icon">
						<i class="fa fa-users"></i>
					</a>
					<span class="stage-desc">Imported Contacts</span>
				</div>
			</div>

			<div class="col-xs-4">
				<div class="stage customize_form" data-stage="send_email">
					<a href="#" class="stage-icon">
						<i class="fa fa-envelope"></i>
					</a>
					<span class="stage-desc">Send Email</span>
				</div>
			</div>
			
		</div>
	</section>
	
	<section class="stage_container">
			<div class="import_csv_container">
					<a href="#" class="import_csv button button-primary button-large">Import CSV</a>
					<a href="#" class="export_csv button button-primary button-large">Export CSV</a>
				</div>
				<hr>
		<div class="stage_content leads_container">
			<div class="CRM">
				
				<table class="wp-list-table widefat fixed" id="lead_list">
					<thead>
						<tr>
							<th>Name</th>
							<th>Email Address</th>
							<th>Contact</th>
							<th>Address</th>
							<th>Message</th>
							<th>Website</th>
						</tr>
					</thead>
					<tbody>
						<?php 
						global $wpdb;

						$table_name = $wpdb->prefix . "atf_leads"; 
						$rows = $wpdb->get_results( "SELECT * FROM $table_name");
						if($rows){
							foreach ($rows as $row) { ?>
							<tr>
								<td><?= $row->name ?></td>
								<td><?= $row->email_address ?></td>
								<td><?= $row->contact_number ?></td>
								<td><?= $row->address ?></td>
								<td><?= $row->message ?></td>
								<td><?= $row->website ?></td>
							</tr>
							<?php }
						}
						?>			
					</tbody>
				</table>
			</div>
		</div>
		<div class="stage_content imported_contacts_container">
			<div class="CRM">
			
				<table class="wp-list-table widefat fixed" id="lead_list">
					<thead>
						<tr>
							<th>Name</th>
							<th>Email Address</th>
							<th>Contact</th>
							<th>Address</th>
							<th>Website</th>
							<th>DOB</th>
						</tr>
					</thead>
					<tbody>
						<?php 
						global $wpdb;

						$table_name = $wpdb->prefix . "atf_csv_imports"; 
						$rows = $wpdb->get_results( "SELECT * FROM $table_name");
						if($rows){
							foreach ($rows as $row) { ?>
							<tr>
								<td><?= $row->name ?></td>
								<td><?= $row->email_address ?></td>
								<td><?= $row->contact_number ?></td>
								<td><?= $row->address ?></td>
								<td><?= $row->website ?></td>
								<td><?= $row->dob ?></td>
							</tr>
							<?php }
						}
						?>			
					</tbody>
				</table>
			</div>
		</div>
		<div class="stage_content send_email_container">
			
			<form class="email_form">
				<div class="left_email_container">
					<div class="subject_container">
						<label>Subject: </label>
						<input class="email_subject" id="email_subject" placeholder="A message from <?php echo get_bloginfo('name'); ?>">
					</div>

					<div class="recipient_container">
						<label>Recipients:</label>
						<select data-placeholder="Choose Recipients..." id="recipient_list" class="chosen-select" multiple style="width:400px !important;" tabindex="4">
							<option value=""></option>
							<?php 
							$table_name = $wpdb->prefix . "atf_leads"; 
							$rows = $wpdb->get_results( "SELECT * FROM $table_name");
							if($rows){
								foreach ($rows as $row) { ?>
								<option value="<?php echo $row->email_address?>"><?php echo $row->name; ?></option>
								<?php }
							}
							?>
						</select>
					</div>

					<div>
						<label></label>
						<a href="#" class="button button-primary button-large select_all" id="select_all">Add All</a>
						<a href="#" class="button button-primary button-large remove_all" id="remove_all">Clear</a>
					</div>


					<div class="imported_list_container">
						<label>Imported Contacts:</label>
						<select data-placeholder="Choose Recipients..." id="contact_list" class="chosen-select" multiple style="width:400px !important;" tabindex="4">
							<option value=""></option>
							<?php 
							$table_name = $wpdb->prefix . "atf_csv_imports"; 
							$rows = $wpdb->get_results( "SELECT * FROM $table_name");
							if($rows){
								foreach ($rows as $row) { ?>
								<option value="<?php echo $row->email_address?>"><?php echo $row->name; ?></option>
								<?php }
							}
							?>
						</select>
					</div>

					<div>
						<label></label>
						<a href="#" class="button button-primary button-large select_all_contact" id="select_all_contact">Add All</a>
						<a href="#" class="button button-primary button-large remove_all_contact" id="remove_all_contact">Clear</a>
					</div>

					
					
				</div>
				<div class="right_email_container">
					

					
					<section class="send_mail_container">
						<button class="progress-button send_mail" data-style="rotate-angle-bottom" data-perspective data-horizontal>Send Mail</button>
					</section>

					<div class="notification success_message" style="display: none;">
						<i class="fa fa-check"></i> Emails Send Successfully.
					</div>
					<div class="notification error_message" style="display: none;">
						<i class="fa fa-times"></i> Error, Please Try Again.
					</div>
				</div>

				<div class="message_container">
					<label>Message: </label>
					<?php 

					$content = "";
					$editor_id = "message";
					$settings = array(
						'textarea_rows' => 40,
						'textarea_name' => 'content',
						'drag_drop_upload' => true,
							// 'media_buttons' => false,
						'tinymce' => array(
							'theme_advanced_buttons1' => 'formatselect,|,bold,italic,underline,|,' .
							'bullist,blockquote,|,justifyleft,justifycenter' .
							',justifyright,justifyfull,|,link,unlink,|' .
							',spellchecker,wp_fullscreen,wp_adv'
							)
						);
					wp_editor( $content, $editor_id, $settings ); 

					?>

				</div>
			</form>
		</div>
	</section>


</div>

<div class="modal_container">
	<div class="cancel"></div>
	<div class="modal">
		<div class="modal-title">
			<div class="row">
				<div class="col-xs-10">
					<span><b>Please upload the CSV</b></span>
				</div>
				<div class="col-xs-2">
					<a href="#" class="cancel cancel-btn"><i class="fa fa-times"></i> </a>
				</div>
			</div>
		</div>
		<div class="modal-body">
			<div class="format">
				<div class="">Please follow the following format in CSV</div>
				<div class="">NAME,EMAIL,CONTACT,ADDRESS,WEBSITE,DOB</div>
				<div class="">Please dowload a sample file <a href="<?php echo plugins_url('/uploaded_csv/contacts.csv', __FILE__)?>">here</a></div>
			</div>
			<div class="file_upload_container">
				<form action="<?php echo plugins_url('/csv_uploader.php', __FILE__ )?>" id="my-awesome-dropzone" class="dropzone upload_image">
					<div class="fallback">
						<input name="file" type="file" multiple />
					</div>
				</form>
			</div>
			<input type="hidden" class="file_url">
			<div class="message_container">
				<span class="csv_message"></span>
				<input class="import_success_flag" type="hidden">
				<button class="done_button button button-primary">Import Contacts</button>
			</div>
		</div>
	</div>
</div>