<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   Plugin_Name
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 */
?>

<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<!-- @TODO: Provide markup for your options page here. -->
	
	<hr>
	<div class="overall_analysis">
		<div class="atf_page_heading">ATF PERFORMANCE</div>
		<div class="atf_data_container">
			<div class="row">
				<div class="col-xs-6">
					<section class="panel">
						<header class="panel-heading">
							VIEWS TO FORM SUBMISSIONS							
						</header>
						<div class="panel-body">
							<div class="chartJS">
								<canvas id="pie-chart-js" height="250" width="800" ></canvas>
							</div>

						</div>
					</section>
				</div>
				<div class="col-xs-6">
					<section class="panel">
						<header class="panel-heading">
							LEADS CONVERSIONS PER FORM
						</header>
						<div class="panel-body">
							<div class="chartJS">
								<canvas id="donut-chart-js" height="250" width="800" ></canvas>
							</div>
						</div>
					</section>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12">
					<section class="panel">
						<header class="panel-heading">
							FORM STATS
						</header>
						<div class="panel-body form_analysis_container">
							<table class="wp-list-table widefat fixed" id="form_analysis">
								<thead>
									<tr>
										<th>Form Name</th>
										<th>Form Views</th>
										<th>Form Submissions</th>
										<th title="Form views vs Form Submissions">Conversion Rate</th>
										<th title="Higher the index, better the performance">Performance Index</th>
									</tr>
								</thead>
								<tbody>
									<?php 
									global $wpdb;

									$table_name = $wpdb->prefix . "atf_form_analytics"; 
									$analytics = $wpdb->get_row("SELECT SUM(form_views) as total_views, SUM(form_submissions) as total_submissions FROM $table_name");

									$rows = $wpdb->get_results( "SELECT * FROM $table_name");
									if($rows){
										foreach ($rows as $row) { ?>
										<tr>
											<td><?= $row->form_name ?></td>
											<td><?= $row->form_views ?></td>
											<td><?= $row->form_submissions ?></td>
											<?php 
												$fv = (int)$row->form_views;
												$fs = (int)$row->form_submissions;
												if($fv!=0) $conversion_rate = $fs/$fv;
												else $conversion_rate = 0;
												$conversion_rate = round($conversion_rate*100, 2);
											?>
											<td><?= $conversion_rate." %" ?></td>
											<?php 
												$tv = (int)$analytics->total_views;
												$ts = (int)$analytics->total_submissions;

												if($tv == 0) $x = 0;
												else $x = $fv/$tv;
												
												if($ts == 0) $y = 0;
												else $y = $fs/$ts;

												$performance_index = $x + $y;
												$performance_index = round($performance_index, 2);

											?>
											<td><?= $performance_index; ?></td>
										</tr>
										<?php }
									}
									?>		
								</tbody>
							</table>
						</div>
					</section>
				</div>
			</div>
		</div>
	</div>
</div>
