<?php
/**
 * The WordPress Plugin Boilerplate.
 *
 * A foundation off of which to build well-documented WordPress plugins that
 * also follow WordPress Coding Standards and PHP best practices.
 *
 * @package   atf
 * @author    Anurag Singh <anurag722@hotmail.com>
 * @license   GPL-2.0+
 * @link      http://example.com
 * @copyright 2014 Your Name or Company Name
 *
 * @wordpress-plugin
 * Plugin Name:       Air Tight Form
 * Plugin URI:        http://airtightform.com/
 * Description:       Bring the power of inbound marketing to your self-hosted WordPress. Air Tight form lets you create enticingly beautiful forms, that lets you convert visitors into potential leads. 
 * Version:           1.0.0
 * Author:            AirTightForm
 * Author URI:        http://airtightform.com/
 * Text Domain:       atf-locale
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 * GitHub Plugin URI: https://github.com/<owner>/<repo>
 * WordPress-Plugin-Boilerplate: v2.6.1
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/*----------------------------------------------------------------------------*
 * Public-Facing Functionality
 *----------------------------------------------------------------------------*/

/*
 * @TODO:
 *
 * - replace `class-plugin-name.php` with the name of the plugin's class file ------- !!DONE
 *
 */
require_once( plugin_dir_path( __FILE__ ) . 'public/class-atf.php' );

/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 *
 * @TODO:
 *
 * - replace Plugin_Name with the name of the class defined in -------------- !!DONE
 *   `class-plugin-name.php`
 */
register_activation_hook( __FILE__, array( 'Atf', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'Atf', 'deactivate' ) );

/*
 * @TODO:
 *
 * - replace Plugin_Name with the name of the class defined in  ----------------!! DONE
 *   `class-plugin-name.php`
 */
add_action( 'plugins_loaded', array( 'Atf', 'get_instance' ) );

/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

/*
 * @TODO:
 *
 * - replace `class-plugin-name-admin.php` with the name of the plugin's admin file
 * - replace Plugin_Name_Admin with the name of the class defined in
 *   `class-plugin-name-admin.php`
 *
 * If you want to include Ajax within the dashboard, change the following
 * conditional to:
 *
 * if ( is_admin() ) {
 *   ...
 * }
 *
 * The code below is intended to to give the lightest footprint possible.
 */
if ( is_admin() ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-atf-admin.php' );
	add_action( 'plugins_loaded', array( 'Atf_Admin', 'get_instance' ) );

}
